> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/pim3/reference/settings/extensions/extensions-details.md).

# Extensions details

You can see and modify extensions through [Settings](/pim3/reference/settings.md) > [Extensions](/pim3/reference/settings/extensions.md).

### Authentication

#### Enable

Determines whether the DAM extension should use basic authentication.

#### Username

Set username for authentication.

#### Password

Set password for authentication.

### Asset URLs

| Url                           | Description                                                                                                         |
| ----------------------------- | ------------------------------------------------------------------------------------------------------------------- |
| Get assets batch URL          | Set url for fetching multiple assets by asset ids.                                                                  |
| Get assets URL                | Set url for fetching assets by folder, search and/or filters.                                                       |
| Resolve assets urls URL       | Set url for resolving asset url with support formatting parameters (e.g. width, height, format, cropMode, bgColor). |
| Get asset types URL           | Get supported asset types (Selectable in PIM to differentiate what can be selected in individual asset pickers).    |
| Resolve root from context URL | Set url for resolving a folder root from a context.                                                                 |
| Create asset URL              | Set url for creating an asset.                                                                                      |
| Update assets URL             | Set url for updating multiple assets (not file on disk).                                                            |
| Update asset data URL         | Set url for updating single asset (name and file on disk only).                                                     |
| Delete assets URL             | Set url for deleting assets.                                                                                        |
| Get assets in folder URL      | Set url for fetching assets in specific folder.                                                                     |
| Get asset in folder URL       | Set url for fetching named asset in specific folder.                                                                |
| Get asset ids URL             | Set url for fecthing all asset ids.                                                                                 |

### Folder URLs

| Url                    | Description                                                       |
| ---------------------- | ----------------------------------------------------------------- |
| Create folder URL      | Set url for creating a folder.                                    |
| Update folders URL     | Set url for updating folders.                                     |
| Delete folders URL     | Set url for deleting folders.                                     |
| Get folders URL        | Set url for fetching folders.                                     |
| Get sub folders URL    | Set url for fetching sub folders.                                 |
| Get folder Paths URL   | Set url for fetching parent folders.                              |
| Allow folder selection | Determines whether folder should be allowed as media type in PIM. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.struct.com/pim3/reference/settings/extensions/extensions-details.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
